Bug 58702

Summary: Add layout test to ensure we don't regress clicking when exiting pan scrolling
Product: WebKit Reporter: Daniel Bates <dbates>
Component: Tools / TestsAssignee: Daniel Bates <dbates>
Status: RESOLVED FIXED    
Severity: Normal CC: darin, eric, maxime.britto, zan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Windows XP   
Attachments:
Description Flags
Layout test
none
Layout test abarth: review+, dbates: commit-queue-

Description Daniel Bates 2011-04-15 15:25:21 PDT
We should add a layout test for changeset 35434 <http://trac.webkit.org/changeset/35434>.
Comment 1 Daniel Bates 2011-04-15 20:01:37 PDT
Created attachment 89906 [details]
Layout test

I prefer to land this patch by hand so that I can watch the bots and follow up with expected results/skipping this test as appropriate.
Comment 2 Daniel Bates 2011-04-15 20:06:15 PDT
Created attachment 89907 [details]
Layout test

Renamed test from pan-scroll-click-hyperlink.html to panScroll-click-hyperlink.html so as to be consistent with the naming convention used for pan scroll tests.
Comment 3 Adam Barth 2011-04-17 01:33:39 PDT
Comment on attachment 89907 [details]
Layout test

Yay tests.
Comment 4 Daniel Bates 2011-04-26 10:12:33 PDT
Committed r84922: <http://trac.webkit.org/changeset/84922>
Comment 5 Zan Dobersek 2012-07-20 11:30:01 PDT
I've only stumbled upon the panScroll-click-hyperlink.html test just now. Searching through the LayoutTests directories for panScroll* tests, they are all based in platform/win except for this test. Because of that all the other ports are having specific baselines that just say pan scrolling is not supported. The exceptions are chromium-win and win directories in LayoutTests/platform.

Would it be OK to move this test into LayoutTests/platform/win and remove other baselines or is it somehow required for this test to be run on all platforms?
Comment 6 Daniel Bates 2012-07-20 12:53:27 PDT
(In reply to comment #5)
> [...]
> Would it be OK to move this test into LayoutTests/platform/win and remove other baselines or is it somehow required for this test to be run on all platforms?

Sounds reasonable to me.
Comment 7 Daniel Bates 2012-07-20 12:55:50 PDT
For completeness, fast/events/panScroll-click-hyperlink.html passes for qt-win.
Comment 8 Zan Dobersek 2012-07-24 06:37:01 PDT
(In reply to comment #7)
> For completeness, fast/events/panScroll-click-hyperlink.html passes for qt-win.

That makes sense. chromium-win already runs all the tests in platform/win, but I can't tell for sure if that goes for qt-win as well. Anyway, if the test is run, the baseline will be picked from the platform/win location, so both chromium-win and qt-win baselines for this test can be removed.